language: cn
model_unique_abbr: angle
version: 1.0
identification:
  docker_image_name: gagis-service:1.0
  model_name: 两条线的夹角
  semantic: line angle
  description: test
  category_application: 通用基础型
  category_data:
  - 矢量数据
  keywords:
  - test
parameter_info:
  parameters:
  - arg_name: ' '
    visible: false
    param_type: param
    name: test
    description: test
    data_type: str
    data_semantic: data
    specification:
      default: node
  - arg_name: ' '
    visible: false
    param_type: param
    name: test
    description: test
    data_type: str
    data_semantic: data
    specification:
      default: /app/server.js
  - arg_name: param
    is_positional_arg: true
    param_type: input_data
    name: param
    description: param
    data_type: geojson
    data_semantic: param
application:
  domain: test
  objective: test
  link_models:
    preorder: []
    alternative: []
  dimension:
  - 二维
  timestep: []
  spatial_resolution: []
  spatial_reference: []
operation:
  usage: test
  exec_example:
  - "docker run -v ￥PWD/project/data:/project/data project:1.0 --file /project/data/lines.tif --epsg 4326"
 
technique:
  language: [JavaScript]
  os: [Linux, Windows]
source:
  maintainer: Xingchen Fan
  organization: Institute of Geographic Sciences and Natural Resources Research
  contact: fanxc@lreis.ac.cn
  integrated_softwares: []
  references: []
